Skip to content
Start here

List domains

client.Registrar.Domains.List(ctx, query) (*SinglePage[Domain], error)
GET/accounts/{account_id}/registrar/domains

List domains handled by Registrar.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
query DomainListParams
AccountID param.Field[string]

Identifier

maxLength32
ReturnsExpand Collapse
type Domain struct{…}
ID stringoptional

Domain identifier.

maxLength32
Available booloptional

Shows if a domain is available for transferring into Cloudflare Registrar.

CanRegister booloptional

Indicates if the domain can be registered as a new domain.

CreatedAt Timeoptional

Shows time of creation.

formatdate-time
CurrentRegistrar stringoptional

Shows name of current registrar.

ExpiresAt Timeoptional

Shows when domain name registration expires.

formatdate-time
Locked booloptional

Shows whether a registrar lock is in place for a domain.

RegistrantContact DomainRegistrantContactoptional

Shows contact information for domain registrant.

Address string

Address.

City string

City.

Country string

The country in which the user lives.

maxLength30
FirstName string

User's first name

maxLength60
LastName string

User's last name

maxLength60
Organization string

Name of organization.

Phone string

User's telephone number

maxLength20
State string

State.

Zip string

The zipcode or postal code where the user lives.

maxLength20
ID stringoptional

Contact Identifier.

maxLength32
Address2 stringoptional

Optional address line for unit, floor, suite, etc.

Email stringoptional

The contact email address of the user.

maxLength90
Fax stringoptional

Contact fax number.

RegistryStatuses stringoptional

A comma-separated list of registry status codes. A full list of status codes can be found at EPP Status Codes.

SupportedTLD booloptional

Whether a particular TLD is currently supported by Cloudflare Registrar. Refer to TLD Policies for a list of supported TLDs.

TransferIn DomainTransferInoptional

Statuses for domain transfers into Cloudflare Registrar.

AcceptFoa DomainTransferInAcceptFoaoptional

Form of authorization has been accepted by the registrant.

One of the following:
const DomainTransferInAcceptFoaNeeded DomainTransferInAcceptFoa = "needed"
const DomainTransferInAcceptFoaOk DomainTransferInAcceptFoa = "ok"
ApproveTransfer DomainTransferInApproveTransferoptional

Shows transfer status with the registry.

One of the following:
const DomainTransferInApproveTransferNeeded DomainTransferInApproveTransfer = "needed"
const DomainTransferInApproveTransferOk DomainTransferInApproveTransfer = "ok"
const DomainTransferInApproveTransferPending DomainTransferInApproveTransfer = "pending"
const DomainTransferInApproveTransferTrying DomainTransferInApproveTransfer = "trying"
const DomainTransferInApproveTransferRejected DomainTransferInApproveTransfer = "rejected"
const DomainTransferInApproveTransferUnknown DomainTransferInApproveTransfer = "unknown"
CanCancelTransfer booloptional

Indicates if cancellation is still possible.

DisablePrivacy DomainTransferInDisablePrivacyoptional

Privacy guards are disabled at the foreign registrar.

One of the following:
const DomainTransferInDisablePrivacyNeeded DomainTransferInDisablePrivacy = "needed"
const DomainTransferInDisablePrivacyOk DomainTransferInDisablePrivacy = "ok"
const DomainTransferInDisablePrivacyUnknown DomainTransferInDisablePrivacy = "unknown"
EnterAuthCode DomainTransferInEnterAuthCodeoptional

Auth code has been entered and verified.

One of the following:
const DomainTransferInEnterAuthCodeNeeded DomainTransferInEnterAuthCode = "needed"
const DomainTransferInEnterAuthCodeOk DomainTransferInEnterAuthCode = "ok"
const DomainTransferInEnterAuthCodePending DomainTransferInEnterAuthCode = "pending"
const DomainTransferInEnterAuthCodeTrying DomainTransferInEnterAuthCode = "trying"
const DomainTransferInEnterAuthCodeRejected DomainTransferInEnterAuthCode = "rejected"
UnlockDomain DomainTransferInUnlockDomainoptional

Domain is unlocked at the foreign registrar.

One of the following:
const DomainTransferInUnlockDomainNeeded DomainTransferInUnlockDomain = "needed"
const DomainTransferInUnlockDomainOk DomainTransferInUnlockDomain = "ok"
const DomainTransferInUnlockDomainPending DomainTransferInUnlockDomain = "pending"
const DomainTransferInUnlockDomainTrying DomainTransferInUnlockDomain = "trying"
const DomainTransferInUnlockDomainUnknown DomainTransferInUnlockDomain = "unknown"
UpdatedAt Timeoptional

Last updated.

formatdate-time

List domains

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/registrar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Registrar.Domains.List(context.TODO(), registrar.DomainListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "ea95132c15732412d22c1476fa83f27a",
      "available": false,
      "can_register": false,
      "created_at": "2018-08-28T17:26:26Z",
      "current_registrar": "Cloudflare",
      "expires_at": "2019-08-28T23:59:59Z",
      "locked": false,
      "registrant_contact": {
        "address": "123 Sesame St.",
        "city": "Austin",
        "country": "US",
        "first_name": "John",
        "last_name": "Appleseed",
        "organization": "Cloudflare, Inc.",
        "phone": "+1 123-123-1234",
        "state": "TX",
        "zip": "12345",
        "id": "ea95132c15732412d22c1476fa83f27a",
        "address2": "Suite 430",
        "email": "user@example.com",
        "fax": "123-867-5309"
      },
      "registry_statuses": "ok,serverTransferProhibited",
      "supported_tld": true,
      "transfer_in": {
        "accept_foa": "needed",
        "approve_transfer": "unknown",
        "can_cancel_transfer": true,
        "disable_privacy": "ok",
        "enter_auth_code": "needed",
        "unlock_domain": "ok"
      },
      "updated_at": "2018-08-28T17:26:26Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "ea95132c15732412d22c1476fa83f27a",
      "available": false,
      "can_register": false,
      "created_at": "2018-08-28T17:26:26Z",
      "current_registrar": "Cloudflare",
      "expires_at": "2019-08-28T23:59:59Z",
      "locked": false,
      "registrant_contact": {
        "address": "123 Sesame St.",
        "city": "Austin",
        "country": "US",
        "first_name": "John",
        "last_name": "Appleseed",
        "organization": "Cloudflare, Inc.",
        "phone": "+1 123-123-1234",
        "state": "TX",
        "zip": "12345",
        "id": "ea95132c15732412d22c1476fa83f27a",
        "address2": "Suite 430",
        "email": "user@example.com",
        "fax": "123-867-5309"
      },
      "registry_statuses": "ok,serverTransferProhibited",
      "supported_tld": true,
      "transfer_in": {
        "accept_foa": "needed",
        "approve_transfer": "unknown",
        "can_cancel_transfer": true,
        "disable_privacy": "ok",
        "enter_auth_code": "needed",
        "unlock_domain": "ok"
      },
      "updated_at": "2018-08-28T17:26:26Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}